{This is a simple application to illustrate the use of TImageFX

This example code is copyright 1998, 1998 Acro Technology Inc. and can
be freely used by any purchaser of TImageFX but may not be sold nor
distributed in any way.

For more great components see our web site:

http://www.acrotechweb.com
}

unit SimpleFX;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
	Forms, Dialogs, StdCtrls, ImgFX312;

type
	TFXForm = class(TForm)
		Button1: TButton;
		ImageFX1: TImageFX;
		procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
	private
		ToggleBitmap: Boolean;
	public
		{ Public declarations }
  end;

var
  FXForm: TFXForm;

implementation

{$R *.DFM}

procedure TFXForm.Button1Click(Sender: TObject);
begin
	with ImageFX1 do
	begin
		Effect := Succ(Effect);		{Go to next [Successive] effect}
		if ToggleBitmap then
			LoadFromFile('..\Bmps\Earth.bmp')
		else
			LoadFromFile('..\Bmps\Shipping.bmp');
		ToggleBitmap := not ToggleBitmap;		{Set for next picture}
		ShowEffect;
		if Effect = fxBlindVert then
			Effect := fxNone;
	end;
end;

procedure TFXForm.FormShow(Sender: TObject);
begin
	if not ToggleBitmap then
		ImageFX1.LoadFromFile('..\Bmps\Earth.bmp');	{Show something on open}
end;

end.
