{Unit file for THotButton simple project. This unit displays
a TForm with a single THotButton loaded with an up and down
bitmap. When the THotButton is pressed, its Stretch property
is toggled.

Source code for THotButton is copyright 1997, 1998, 1999 by
Acro Technology Inc. All rights reserved. This unit has
no such copyright.
}

unit HBsimple;

interface

uses
{$ifdef WIN32}
	Windows, ComCtrls,
{$else}
	WinTypes, WinProcs,
{$endif}
	Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, HotBt304;

type
  TForm1 = class(TForm)
    HotButton1: THotButton;
    procedure HotButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.HotButton1Click(Sender: TObject);
begin
	HotButton1.Stretch := not HotButton1.Stretch;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
{$ifdef VER100}
	HotButton1.LoadBitmapUp('Cute1Up.bmp');	{So colors are not distorted by D3}
	HotButton1.LoadBitmapDown('Cute1Dn.bmp');
{$endif}
end;

end.
