unit Dynctrls;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
	Forms, Dialogs, StdCtrls, ExtCtrls, Strch109;

type
  TForm1 = class(TForm)
    StretchPanel1: TStretchPanel;
		Panel1: TPanel;
		Button1: TButton;
    procedure Button1Click(Sender: TObject);
	private
		Edit1: TEdit;
		Edit2: TEdit;
		Label1: TLabel;
		Label2: TLabel;
		procedure ChangeParent(Sender: TObject);
	public
		{ Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
	Edit1 := TEdit.Create(Self);
	Edit1.Parent := StretchPanel1;
	Edit1.Autosize := False;	{VERY IMPORTANT!!}
	Edit1.Name := 'Edit1';
	Edit1.Font.Name := 'Arial';
	Edit1.Left := 10;
	Edit1.Top := 10;
	Edit1.Width := 100;
	Edit1.Height := 30;
	Edit2.Text := 'Edit1';

	Edit2 := TEdit.Create(Self);
	Edit2.Parent := StretchPanel1;
	Edit2.Name := 'Edit2';
	Edit2.Font.Name := 'Arial';
	Edit2.Left := 10;
	Edit2.Top := 50;
	Edit2.Width := 100;
	Edit2.Height := 30;
	Edit2.Text := 'Edit2';
	Edit2.Autosize := False;	{VERY IMPORTANT!!}

	Label1 := TLabel.Create(Self);
	Label1.Parent := StretchPanel1;
	Label1.Name := 'Label1';
	Label1.Font.Name := 'Arial';
	Label1.Left := 10;
	Label1.Top := 100;
	Label1.Width := 100;
	Label1.Height := 40;
	Label1.Caption := 'Change parent';
	Label1.OnClick := ChangeParent;
	Label1.Autosize := False;	{VERY IMPORTANT!!}
	Label1.WordWrap := False;

	Label2 := TLabel.Create(Self);
	Label2.Parent := StretchPanel1;
	Label2.Name := 'Label2';
	Label2.Font.Name := 'Arial';
	Label2.Left := 10;
	Label2.Top := 150;
	Label2.Width := 100;
	Label2.Height := 40;
	Label2.Caption := 'Change parent 2';
	Label2.OnClick := ChangeParent;
	Label2.Autosize := False;	{VERY IMPORTANT!!}
	Label1.WordWrap := False;

	Button1.Enabled := False;
	StretchPanel1.Caption := 'Stretch the form';
end;

procedure TForm1.ChangeParent(Sender: TObject);
begin
	Edit1.Parent := Panel1;
	Edit2.Parent := Panel1;
	Label1.Enabled := False;
	Label2.Enabled := False;
end;

end.
